# Cell

[![version](https://img.shields.io/github/v/release/enderneko/Cell)](https://github.com/enderneko/Cell/releases)
[![CodeFactor](https://www.codefactor.io/repository/github/enderneko/cell/badge)](https://www.codefactor.io/repository/github/enderneko/cell)
[![GitHub commit activity](https://img.shields.io/github/commit-activity/m/enderneko/Cell)](https://github.com/enderneko/Cell/commits/master)
[![last commit](https://img.shields.io/github/last-commit/enderneko/Cell)](https://github.com/enderneko/Cell/commits/master)

[![Discord](https://img.shields.io/discord/1122747237546610760?label=Discord&color=5865F2)](https://discord.gg/9PSe3fKQGJ)
[![Curseforge](https://img.shields.io/curseforge/dt/409666?label=CurseForge&color=F16436)](https://www.curseforge.com/wow/addons/cell)
[![Wago](https://img.shields.io/badge/Wago-Cell-ad1319)](https://addons.wago.io/addons/cell)

Cell is a nice raid frame addon inspired by several great addons, such as __CompactRaid__, __Grid2__, __Aptechka__ and __VuhDo__.  
With a more human-friendly interface, Cell can provide a better user experience, better than ever.  
Hope you enjoy.

&nbsp;

## Features

- __Layouts:__ auto switch for party, raid, battleground and roles.
- __Customizable Appearance:__ textures, colors and alphas.
- __Built-in Click-Castings:__ supports keyboard and multi-button mouse.
- __Indicators:__ dozens of built-in indicators and unlimited custom indicators (icon, bar, rect, text, icons).
- __Raid Debuffs:__ debuffs priority and glow.
- __Useful Raid Tools:__ ready check, countdown, rebuff, death report, marks, battleres.
- __Nice Options UI:__ I mean yes it's pretty darn good!
- __Spotlight Frame:__ extra 5 unit buttons, can be set to Target, Target of Target, Focus, Unit or Unit's Pet.
- __Compatibility:__ [BigDebuffs](https://www.curseforge.com/wow/addons/bigdebuffs), [Class Colors](https://www.curseforge.com/wow/addons/classcolors), [OmniCD](https://www.curseforge.com/wow/addons/omnicd) and of course, [WAs](https://wago.io/weakauras).

&nbsp;

## Code Snippets

__Try disabling all snippets if there are any issues.__

Check <https://github.com/enderneko/Cell/tree/master/.snippets> for more snippets.

### Usage

1. Cell Options -> About -> Code Snippets
2. New -> Paste -> Save -> Tick the AutoRun box
3. Reload

### Blizzard style cooldowns

<https://raw.githubusercontent.com/enderneko/Cell/master/.snippets/CooldownIcons_BlizzardStyle.lua>

![Blizzard Style Cooldowns](https://github.com/enderneko/Cell/raw/master/.snippets/CooldownIcons_BlizzardStyle.gif)

&nbsp;

## Not supported and probably won't be included in the future

- Sort raid by name/class/role
- Custom border
- Addons like Clique

&nbsp;

## Slash Commands

Use __/cell__ for more information.

&nbsp;

## Want to help improve Raid Debuffs

Use [Instance Spell Collector](https://legacy.curseforge.com/wow/addons/instance-spell-collector) to collect debuffs. Then create a PR or submit a ticket on GitHub.

&nbsp;

## Misc

Discord: <https://discord.gg/9PSe3fKQGJ>

[简体中文介绍在这里](https://bbs.nga.cn/read.php?tid=23488341)
